<?php
/**
 * VW Spa Lite: Block Patterns
 *
 * @package VW Spa Lite
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'vw-spa-lite',
		array( 'label' => __( 'VW Spa Lite', 'vw-spa-lite' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'vw-spa-lite/banner-section',
		array(
			'title'      => __( 'Banner Section', 'vw-spa-lite' ),
			'categories' => array( 'vw-spa-lite' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png\",\"id\":576,\"dimRatio\":0,\"minHeight\":500,\"align\":\"full\",\"className\":\"banner-section\"} -->\n<div class=\"wp-block-cover alignfull banner-section\" style=\"min-height:500px\"><span aria-hidden=\"true\" class=\"has-background-dim-0 wp-block-cover__gradient-background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-576\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"align\":\"wide\",\"className\":\"m-0\"} -->\n<div class=\"wp-block-columns alignwide m-0\"><!-- wp:column {\"className\":\"banner-first\"} -->\n<div class=\"wp-block-column banner-first\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"banner-content\"} -->\n<div class=\"wp-block-column banner-content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"style\":{\"typography\":{\"fontSize\":40},\"color\":{\"text\":\"#891638\"}}} -->\n<h1 class=\"has-text-align-center has-text-color\" style=\"color:#891638;font-size:40px\"><strong>Lorem ipsum dolor sit</strong></h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":15}},\"className\":\"text-center\"} -->\n<p class=\"has-text-align-center text-center\" style=\"font-size:15px\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"className\":\"text-center\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons text-center\"><!-- wp:button {\"textColor\":\"black\",\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-black-color has-text-color\">Read More...</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'vw-spa-lite/service-section',
		array(
			'title'      => __( 'Services Section', 'vw-spa-lite' ),
			'categories' => array( 'vw-spa-lite' ),
			'content'    => "<!-- wp:group {\"align\":\"wide\",\"className\":\"service-section mx-0 py-5\"} -->\n<div class=\"wp-block-group alignwide service-section mx-0 py-5\"><!-- wp:heading {\"textAlign\":\"center\",\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":40}},\"textColor\":\"black\",\"className\":\"mx-0 mb-2\"} -->\n<h2 class=\"alignwide has-text-align-center mx-0 mb-2 has-black-color has-text-color\" style=\"font-size:40px\">Amazing Services</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":12},\"color\":{\"text\":\"#777474\"}},\"className\":\"text-center\"} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#777474;font-size:12px\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:image {\"align\":\"center\",\"id\":558,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"text-center mb-0 pb-5\"} -->\n<div class=\"wp-block-image text-center mb-0 pb-5\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/heading-boder.png\" alt=\"\" class=\"wp-image-558\"/></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"align\":\"wide\",\"className\":\"mx-0 mt-5 mb-0\"} -->\n<div class=\"wp-block-columns alignwide mx-0 mt-5 mb-0\"><!-- wp:column {\"className\":\"service-box mb-5\"} -->\n<div class=\"wp-block-column service-box mb-5\"><!-- wp:cover {\"customOverlayColor\":\"#d6abba\",\"minHeight\":200,\"isDark\":false,\"className\":\"my-0\"} -->\n<div class=\"wp-block-cover is-light my-0\" style=\"min-height:200px\"><span aria-hidden=\"true\" class=\"has-background-dim-100 wp-block-cover__gradient-background has-background-dim\" style=\"background-color:#d6abba\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:image {\"id\":585,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"text-center mb-2\"} -->\n<figure class=\"wp-block-image size-large text-center mb-2\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/service1.png\" alt=\"\" class=\"wp-image-585\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":30}},\"textColor\":\"black\",\"className\":\"mb-2\"} -->\n<h3 class=\"has-text-align-center mb-2 has-black-color has-text-color\" style=\"font-size:30px\">Service Title 1</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"color\":{\"text\":\"#474747\"},\"typography\":{\"fontSize\":14}},\"className\":\"text-center\"} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#474747;font-size:14px\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"className\":\"text-center\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons text-center\"><!-- wp:button {\"textColor\":\"black\",\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-black-color has-text-color\">Read More...</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"service-box mb-5\"} -->\n<div class=\"wp-block-column service-box mb-5\"><!-- wp:cover {\"customOverlayColor\":\"#d6abba\",\"minHeight\":200,\"isDark\":false,\"className\":\"my-0\"} -->\n<div class=\"wp-block-cover is-light my-0\" style=\"min-height:200px\"><span aria-hidden=\"true\" class=\"has-background-dim-100 wp-block-cover__gradient-background has-background-dim\" style=\"background-color:#d6abba\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:image {\"id\":586,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"text-center mb-2\"} -->\n<figure class=\"wp-block-image size-large text-center mb-2\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/service2.png\" alt=\"\" class=\"wp-image-586\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":30}},\"textColor\":\"black\",\"className\":\"mb-2\"} -->\n<h3 class=\"has-text-align-center mb-2 has-black-color has-text-color\" style=\"font-size:30px\">Service Title 2</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"color\":{\"text\":\"#474747\"},\"typography\":{\"fontSize\":14}},\"className\":\"text-center\"} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#474747;font-size:14px\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"className\":\"text-center\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons text-center\"><!-- wp:button {\"textColor\":\"black\",\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-black-color has-text-color\">Read More...</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"service-box mb-5\"} -->\n<div class=\"wp-block-column service-box mb-5\"><!-- wp:cover {\"customOverlayColor\":\"#d6abba\",\"minHeight\":200,\"isDark\":false,\"className\":\"my-0\"} -->\n<div class=\"wp-block-cover is-light my-0\" style=\"min-height:200px\"><span aria-hidden=\"true\" class=\"has-background-dim-100 wp-block-cover__gradient-background has-background-dim\" style=\"background-color:#d6abba\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:image {\"id\":587,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"text-center mb-2\"} -->\n<figure class=\"wp-block-image size-large text-center mb-2\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/service3.png\" alt=\"\" class=\"wp-image-587\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":30}},\"textColor\":\"black\",\"className\":\"mb-2\"} -->\n<h3 class=\"has-text-align-center mb-2 has-black-color has-text-color\" style=\"font-size:30px\">Service Title 3</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"color\":{\"text\":\"#474747\"},\"typography\":{\"fontSize\":14}},\"className\":\"text-center\"} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#474747;font-size:14px\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"className\":\"text-center\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons text-center\"><!-- wp:button {\"textColor\":\"black\",\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-black-color has-text-color\">Read More...</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}